<!-- 
  Copyright (c) 2019 The Nuinalp Authors. All rights reserved.
  Use of this source code is governed by a BSD-style license that can be
  found in the LICENSE file.
-->

<!DOCTYPE html>
<html dir="ltr" lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0, minimum-scale=1.0, maximum-scale=5.0">
  <title>NvAvatar - Nuiverse UI</title>
<link rel="stylesheet" href="/build/nuiverse-ui.css">
<script type="module" src="/build/nuiverse-ui.esm.js"></script>
<script nomodule src="/build/nuiverse-ui.js"></script>
</head>
<body>
  <div class="demo-component">

    <div class="area-component">
      <h1>Progress</h1>
      <h3>Default</h3>
      <nv-progress class="nv-mb-2" value="100"></nv-progress>
      <nv-progress class="nv-mb-2" value="80"></nv-progress>
      <nv-progress class="nv-mb-2" value="50"></nv-progress>
      <nv-progress class="nv-mb-2" value="30"></nv-progress>
      <nv-progress class="nv-mb-2" value="10"></nv-progress>
    </div>

    <div class="area-component">
      <h3>Rounded</h3>
      <nv-progress class="nv-mb-2" rounded value="100"></nv-progress>
      <nv-progress class="nv-mb-2" rounded value="80"></nv-progress>
      <nv-progress class="nv-mb-2" rounded value="50"></nv-progress>
      <nv-progress class="nv-mb-2" rounded value="30"></nv-progress>
      <nv-progress class="nv-mb-2" rounded value="10"></nv-progress>
    </div>

    <div class="area-component">
      <h3>Indeterminate</h3>
      <nv-progress indeterminate></nv-progress>
    </div>

    <div class="area-component">
      <h3>Circle</h3>
      <div class="nv-d-flex nv-flex-wrap">
        <nv-progress class="nv-mx-3" label circle value="20"></nv-progress>
        <nv-progress class="nv-mx-3" label circle value="40"></nv-progress>
        <nv-progress class="nv-mx-3" label circle value="55"></nv-progress>
        <nv-progress class="nv-mx-3" label circle value="70"></nv-progress>
        <nv-progress class="nv-mx-3" label circle value="90"></nv-progress>
      </div>
    </div>

    <div class="area-component">
      <h3>Circle and rounded</h3>
      <div class="nv-d-flex nv-flex-wrap">
        <nv-progress rounded class="nv-mx-3" label circle value="20"></nv-progress>
        <nv-progress rounded class="nv-mx-3" label circle value="40"></nv-progress>
        <nv-progress rounded class="nv-mx-3" label circle value="55"></nv-progress>
        <nv-progress rounded class="nv-mx-3" label circle value="70"></nv-progress>
        <nv-progress rounded class="nv-mx-3" label circle value="90"></nv-progress>
      </div>
    </div>
    
    <div class="area-component">
      <h3>Semi circle</h3>
      <div class="nv-d-flex nv-flex-wrap">
        <nv-progress semi-circle class="nv-mx-3" id="nvprogress" label value="0"></nv-progress>
        <nv-progress semi-circle class="nv-mx-3" label value="55"></nv-progress>
        <nv-progress semi-circle class="nv-mx-3" label value="89"></nv-progress>
        <nv-progress semi-circle class="nv-mx-3" label value="100"></nv-progress>
      </div>
      <nv-slider id="slider"></nv-slider>
    </div>

    <div class="area-component">
      <h3>Square</h3>
      <div class="nv-d-flex nv-flex-wrap">
        <nv-progress square class="nv-mx-3" label value="0"></nv-progress>
        <nv-progress square class="nv-mx-3" label value="55"></nv-progress>
        <nv-progress square class="nv-mx-3" label value="89"></nv-progress>
        <nv-progress square class="nv-mx-3" label value="100"></nv-progress>
      </div>
    </div>

    <div class="area-component">
      <h3>Square and rouded</h3>
      <div class="nv-d-flex nv-flex-wrap">
        <nv-progress rounded square class="nv-mx-3" label value="0"></nv-progress>
        <nv-progress rounded square class="nv-mx-3" label value="55"></nv-progress>
        <nv-progress rounded square class="nv-mx-3" label value="89"></nv-progress>
        <nv-progress rounded square class="nv-mx-3" label value="100"></nv-progress>
      </div>
    </div>
  </div>
    
  <script>
    document.querySelector('#slider').addEventListener('nvChange', (e) => {
      document.querySelector('#nvprogress').value = e.detail.value;
    });
  </script>
</body>
</html>
 